Galon Cloud
Galon API v1

/deploy/production/status

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /deploy/production/status

Get the production status

Scope job:read. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}.

API key (Bearer), on the public API endpoint.

Responses

StatusDescriptionBody
200Served release, previous release, domainsobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/deploy/production/status" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.production.status();

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.production.status()